#ifndef ITEM_ICON_HPP_
#define ITEM_ICON_HPP_

#include <ItemStack/ItemStack.hpp>
#include <Widget/Widget.hpp>

/**
 * @brief A widget which displays an item icon.
 */
class ItemIcon : public Widget
{
private:
    ItemStack refStack;

public:
    ItemIcon(const ItemStack &refStack);

    virtual void draw(GraphicsContext &context) override;
    virtual glm::ivec2 getMinSize() override;
};

#endif